Loading...
Searching...
No Matches
url_pattern.cc File Reference
`#include <fuzzer/FuzzedDataProvider.h>`
`#include <memory>`
`#include <string>`
`#include "ada.cpp"`
`#include "ada.h"`

Go to the source code of this file.

## Typedefs

using | regex_provider = ada::url_pattern_regex::std_regex_provider

## Functions

void | exercise_result (auto result)
static void | exercise_exec_and_test (ada::url_pattern< regex_provider > &pattern, const std::string &test_input, const std::string &test_base)
int | LLVMFuzzerTestOneInput (const uint8_t *data, size_t size)

## Typedef Documentation

## regex_provider

using regex_provider = ada::url_pattern_regex::std_regex_provider

Definition at line 9 of file url_pattern.cc.

## Function Documentation

## exercise_exec_and_test()

void exercise_exec_and_test | ( | ada::url_pattern< regex_provider > & | pattern,
|  | const std::string & | test_input,
|  | const std::string & | test_base )

static

Definition at line 26 of file url_pattern.cc.

References ada::parse().

Referenced by LLVMFuzzerTestOneInput().

## exercise_result()

void exercise_result | ( | auto | result | ) |

Definition at line 11 of file url_pattern.cc.

Referenced by LLVMFuzzerTestOneInput().

## LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | data,
|  | size_t | size )

Definition at line 124 of file url_pattern.cc.

References exercise_exec_and_test(), and exercise_result().